<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***                                                        ***
  ***      File:  admin_language.php                                       ***
  ***      Built: Fri Feb 23 18:29:53 2007                                 ***
  ***                                                ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/record.php");

	check_admin_security("static_tables");

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_language.html");

	$t->set_var("admin_href", "admin.php");
	$t->set_var("admin_lookup_tables_href", "admin_lookup_tables.php");
	$t->set_var("admin_languages_href", "admin_languages.php");
	$t->set_var("admin_language_href", "admin_language.php");

	$sp = get_param("sp");
	$sort_ord = get_param("sort_ord");
	$sort_dir = get_param("sort_dir");
	$page = get_param("page");

	$r = new VA_Record($table_prefix . "languages");
	$r->return_page = "admin_languages.php?sort_ord=".urlencode($sort_ord)."&sort_dir=".urlencode($sort_dir)."&page=".urlencode($page)."&sp=".urlencode($sp);

	$r->add_where("language_edit", TEXT);
	$r->parameters["language_edit"][COLUMN_NAME] = "language_code";

	$r->add_textbox("language_code_edit", TEXT, "Language Code");
	$r->parameters["language_code_edit"][COLUMN_NAME] = "language_code";
	$r->parameters["language_code_edit"][REQUIRED] = true;
	$r->parameters["language_code_edit"][UNIQUE] = true;
	$r->add_textbox("language_order", INTEGER, "Language Order");
	$r->change_property("language_order", REQUIRED, true);
	$r->add_checkbox("show_for_user", INTEGER);
	$r->add_textbox("language_name", TEXT, "Language Name");
	$r->change_property("language_name", REQUIRED, true);
	$r->add_textbox("language_image", TEXT, "Language Image");
	//$currencies = get_db_values("SELECT currency_code,currency_title FROM " . $table_prefix . "currencies", array(array("", "")));
	//$r->add_select("currency_code", TEXT, $currencies, "Currency Code");

	$r->process();

	$t->set_var("sp", htmlspecialchars($sp));
	$t->set_var("sort_ord", htmlspecialchars($sort_ord));
	$t->set_var("sort_dir", htmlspecialchars($sort_dir));
	$t->set_var("page", htmlspecialchars($page));

	include("./admin_header.php");
	include("./admin_footer.php");

	$t->pparse("main");

?>
