// javacript for editing product

	function countSalesPrice()
	{
		var price = document.record.price.value;
		var discount = document.record.discount_percent.value;
		var sales_price = 0;
		if(!isNaN(price) && !isNaN(discount) && price != "" && discount != "")
			sales_price = Math.round(price * 100 - (price * discount)) / 100 ;
		document.record.real_sales_price.value = "(!) Actual 'Our Price' is " + sales_price;						 
	}

	function countDiscountPercent()
	{
		var price = document.record.price.value;
		var sales_price = document.record.sales_price.value;
		var discount = "";
		if(!isNaN(price) && !isNaN(sales_price) && price != "" && sales_price != "")
			discount = 100 - (sales_price * 100) / price;
		document.record.real_discount_percent.value = "(!) Actual Discount is " + discount + "%";
	}

	function openWindow(pagename, filetype)
	{
		var uploadWin = window.open (pagename + '?filetype=' + filetype, 'uploadWin', 'toolbar=no,location=no,directories=no,status=yes,menubar=no,scrollbars=yes,resizable=yes,width=400,height=300');
		uploadWin.focus();
	}

	function setFileName(filename, filetype)
	{
		if(filename != "")
		{
			if(filetype == "small_image") {
				document.record.small_image.value = "images/small/" + filename;
				document.record.small_image.focus();
			} else if(filetype == "big_image") {
				document.record.big_image.value = "images/big/" + filename;
				document.record.big_image.focus();
			} else if(filetype == "super_image") {
				document.record.super_image.value = "images/super/" + filename;
				document.record.super_image.focus();
			} else if(filetype == "product_small") {
				document.record.small_image.value = "images/products/small/" + filename;
				document.record.small_image.focus();
			} else if(filetype == "product_large") {
				document.record.big_image.value = "images/products/large/" + filename;
				document.record.big_image.focus();
			} else if(filetype == "product_super") {
				document.record.super_image.value = "images/products/super/" + filename;
				document.record.super_image.focus();
			} else if (filetype == "downloads") {
				var downloadPath = document.record.download_path.value;
				if (downloadPath == "") {
					downloadPath = filename;
				} else {
					downloadPath += "; " + filename;
				}
				document.record.download_path.value = downloadPath;
				document.record.download_path.focus();
			}
		}
	}

	function setFilePath(filepath, filetype)
	{
		if(filepath != "")
		{
			if (filetype == "product_small") {
				document.record.small_image.value = filepath;
				document.record.small_image.focus();
			} else if(filetype == "product_large") {
				document.record.big_image.value = filepath;
				document.record.big_image.focus();
			} else if(filetype == "product_super") {
				document.record.super_image.value = filepath;
				document.record.super_image.focus();
			} else if (filetype == "downloads") {
				var downloadPath = document.record.download_path.value;
				if (downloadPath == "") {
					downloadPath = filepath;
				} else {
					downloadPath += "; " + filepath;
				}
				document.record.download_path.value = downloadPath;
				document.record.download_path.focus();
			}
		}
	}


	function updateStockProperty()
	{
		if (!document.record.use_stock_level.checked) {
			document.record.hide_out_of_stock.checked = false;
			document.record.disable_out_of_stock.checked = false;
		}
	}

	function checkUseStock()
	{
		if (!document.record.use_stock_level.checked) {
			document.record.hide_out_of_stock.checked = false;
			document.record.disable_out_of_stock.checked = false;
			alert("You need activate Stock Level before use this option.");
		}
	}

	function pricePreview() 
	{
		var currencyLeft = document.record.currency_left.value;
		var currencyRight = document.record.currency_right.value;
		var currencyRate = document.record.currency_rate.value;
		var inlinePrice = document.getElementById("inline_price");
		var detailPrice = document.getElementById("detail_price");
		var isSales = false;
		if (document.record.is_sales) {
			isSales = document.record.is_sales.checked;
		}
		if (detailPrice && isSales) {
			var price = parseFloat(document.record.price.value);
			if (isNaN(price)) { price = 0; }
			var salesPrice = parseFloat(document.record.sales_price.value);
			if (isNaN(salesPrice)) { salesPrice = 0; }
			var discountPercent = parseFloat(document.record.discount_percent.value);
			if (isNaN(discountPercent)) { discountPercent = 0; }
			if (discountPercent == 0 && salesPrice != 0) {
				discountPercent = Math.round((price - salesPrice) / (price / 100));
			}
			document.record.preview_list_price.value = currencyLeft + formatNumber(price * currencyRate) + currencyRight;
			document.record.preview_sales_price.value = currencyLeft + formatNumber(salesPrice * currencyRate) + currencyRight;
			document.record.preview_discount.value = currencyLeft + formatNumber((price - salesPrice) * currencyRate) + currencyRight + " (" + discountPercent + "%)";
			inlinePrice.style.display = 'none'; 
			detailPrice.style.display = 'block';
		} else if (inlinePrice) {
			var price = parseFloat(document.record.price.value);
			if (isNaN(price)) { price = 0; }
			document.record.preview_price.value = currencyLeft + formatNumber(price * currencyRate) + currencyRight;
			detailPrice.style.display = 'none'; 
			inlinePrice.style.display = 'block'; 
		}
	}

	function formatNumber(numberValue)
	{
		var numberText = new String(numberValue);
		if(numberText.indexOf(".") == -1) {
			numberText += ".00";
		} else if (numberText.indexOf(".") == (numberText.length - 2)) {
			numberText += "0";
		} else {
			var numberParts = numberText.split(".");
			if(numberParts[1].length > 2) {
				numberText = numberParts[0] + "." + numberParts[1].substring(0, 2);
			}
		}
		return numberText;
	}

	function changePane(newTabName)
	{
		var currentTabName = document.record.current_tab.value;

		if (currentTabName != newTabName) {
			currentTab = document.getElementById("tab_" + currentTabName);
			newTab = document.getElementById("tab_" + newTabName);
    
			currentTab.className = "adminTab";
			newTab.className = "adminTabActive";

			currentData = document.getElementById("data_" + currentTabName);
			newData = document.getElementById("data_" + newTabName);

     	currentData.style.display = "none";
     	newData.style.display = "block";

			document.record.current_tab.value = newTabName;
		}
		if (newTabName == 'special_offer') {
			activateEditor('editor_so');
		} else if (newTabName == 'other') {
			activateEditor('editor_n');
		} else if (newTabName == 'general') {
			activateEditors(Array('editor_sd','editor_f','editor_fd'));
		}
	}
