<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***                                                        ***
  ***      File:  google_checkout.php                                      ***
  ***      Built: Fri Feb 23 18:29:53 2007                                 ***
  ***                                                  ***
  ***                                                                      ***
  ****************************************************************************
*/

	$is_admin_path = true;
	$root_folder_path = "../";

	include_once ($root_folder_path ."includes/common.php");
	include_once ($root_folder_path ."messages/".$language_code."/cart_messages.php");

	$xml_response = $HTTP_RAW_POST_DATA;
	if (get_magic_quotes_gpc()) {
		$xml_response = stripslashes($xml_response);
	}

	if (preg_match_all("/<new-order-notification(.*)\<\/new-order-notification>/Uis", $xml_response, $matches, PREG_SET_ORDER)){
		preg_match_all("/<merchant-note>(.*)\<\/merchant-note>/Uis", $xml_response, $value, PREG_SET_ORDER);
		$order_id = (isset($value[0][1]))?intval($value[0][1]):0;
		preg_match_all("/<google-order-number>(.*)\<\/google-order-number>/Uis", $xml_response, $value, PREG_SET_ORDER);
		$google_order_id = (isset($value[0][1]))?$value[0][1]:0;
		preg_match_all("/<order-total(.*)\<\/order-total>/Uis", $xml_response, $value, PREG_SET_ORDER);
		$order_total = (isset($value[0][1]))?$value[0][1]:0;
		preg_match_all("/<financial-order-state>(.*)\<\/financial-order-state>/Uis", $xml_response, $value, PREG_SET_ORDER);
		$order_status = (isset($value[0][1]))?$value[0][1]:0;
		if ($order_id){
			if ($google_order_id){
				$payment_params = payment_params($order_id);
				if ($order_status == 'PAYMENT_DECLINED' || $order_status == 'CANCELLED' || $order_status == 'CANCELLED_BY_GOOGLE'){
					$sql  = " UPDATE " . $table_prefix . "orders ";
					$sql .= " SET order_status=" . $db->tosql($payment_params['failure_status_id'], TEXT) ;
					$sql .= ", transaction_id=" . $db->tosql($google_order_id, TEXT) ;
					$sql .= " WHERE order_id=" . $db->tosql($order_id, INTEGER) ;
					$db->query($sql);
				}else if ($order_status == 'CHARGED'){
					$sql  = " UPDATE " . $table_prefix . "orders ";
					$sql .= " SET order_status=" . $db->tosql($payment_params['success_status_id'], TEXT) ;
					$sql .= ", transaction_id=" . $db->tosql($google_order_id, TEXT) ;
					$sql .= " WHERE order_id=" . $db->tosql($order_id, INTEGER) ;
					$db->query($sql);
				}else{
					$sql  = " UPDATE " . $table_prefix . "orders ";
					$sql .= " SET order_status=" . $db->tosql($payment_params['pending_status_id'], TEXT) ;
					$sql .= ", transaction_id=" . $db->tosql($google_order_id, TEXT) ;
					$sql .= " WHERE order_id=" . $db->tosql($order_id, INTEGER) ;
					$db->query($sql);
				}
			}else{
				set_error($order_id, "'google order number' was not received");
			}
		}
	}
	if (preg_match_all("/<order-state-change-notification(.*)\<\/order-state-change-notification>/Uis", $xml_response, $matches, PREG_SET_ORDER)){
		preg_match_all ("/<([^>]*?)>([^<]*?)\<\/[^>]*>/", $xml_response, $matches, PREG_SET_ORDER);
		preg_match_all("/<google-order-number>(.*)\<\/google-order-number>/Uis", $xml_response, $value, PREG_SET_ORDER);
		$google_order_id = (isset($value[0][1]))?$value[0][1]:0;
		preg_match_all("/<new-financial-order-state>(.*)\<\/new-financial-order-state>/Uis", $xml_response, $value, PREG_SET_ORDER);
		$order_status = (isset($value[0][1]))?$value[0][1]:0;
		$order_id = 0;
		if ($google_order_id) {
			$sql  = " SELECT order_id ";
			$sql .= " FROM " . $table_prefix . "orders ";
			$sql .= " WHERE transaction_id=" . $db->tosql($google_order_id, TEXT);
			$db->query($sql);
			while ($db->next_record()) {
				$order_id = $db->f("order_id");
			}
		}
		if ($order_id){
			$payment_params = payment_params($order_id);
			if ($order_status == 'PAYMENT_DECLINED' || $order_status == 'CANCELLED' || $order_status == 'CANCELLED_BY_GOOGLE'){
				$sql  = " UPDATE " . $table_prefix . "orders ";
				$sql .= " SET order_status=" . $db->tosql($payment_params['failure_status_id'], TEXT) ;
				$sql .= " WHERE order_id=" . $db->tosql($order_id, INTEGER) ;
				$db->query($sql);
			}else if ($order_status == 'CHARGED'){
				$sql  = " UPDATE " . $table_prefix . "orders ";
				$sql .= " SET order_status=" . $db->tosql($payment_params['success_status_id'], TEXT) ;
				$sql .= " WHERE order_id=" . $db->tosql($order_id, INTEGER) ;
				$db->query($sql);
			}else{
				$sql  = " UPDATE " . $table_prefix . "orders ";
				$sql .= " SET order_status=" . $db->tosql($payment_params['pending_status_id'], TEXT) ;
				$sql .= " WHERE order_id=" . $db->tosql($order_id, INTEGER) ;
				$db->query($sql);
			}
		}
	}
  
    function payment_variables($order_id){
    	global $db, $table_prefix, $settings;
		$variables = array();
		$variables["site_url"] = $settings["site_url"];
		$variables["order_id"] = $order_id;
		$sql  = " SELECT * FROM " . $table_prefix . "orders ";
		$sql .= " WHERE order_id=" . $db->tosql($order_id, INTEGER);
		$db->query($sql);
		if ($db->next_record()) {
			// payment information
			$payment_id = $db->f("payment_id");
	
			$variables["user_id"] = $db->f("user_id");
			$variables["total_quantity"] = $db->f("total_quantity");
			// email variables
			$variables["email"] = $db->f("email");
			$delivery_email["delivery_email"] = $db->f("delivery_email");
	
			// shopping variables
			$variables["goods_total"] = $db->f("goods_total");
			$variables["total_discount"] = $db->f("total_discount");
			$variables["goods_with_discount"] = $variables["goods_total"] - $variables["total_discount"];
			$variables["shipping_cost"] = $db->f("shipping_cost");
			$variables["tax_percent"] = $db->f("tax_percent");
			$variables["tax_total"] = $db->f("tax_total");
			$variables["tax_name"] = $db->f("tax_name");
			$variables["processing_fee"] = $db->f("processing_fee");
			$variables["order_total"] = $db->f("order_total");
			$variables["order_placed_date"] = $db->f("order_placed_date", DATETIME);
	
			$variables["name"] = $db->f("name");
			$variables["first_name"] = $db->f("first_name");
			$variables["last_name"] = $db->f("last_name");
			$variables["company_name"] = $db->f("company_name");
			$variables["address1"] = $db->f("address1");
			$variables["address2"] = $db->f("address2");
			$variables["city"] = $db->f("city");
			$variables["province"] = $db->f("province");
			$variables["zip"] = $db->f("zip");
			$variables["phone"] = $db->f("phone");
			$variables["daytime_phone"] = $db->f("daytime_phone");
			$variables["evening_phone"] = $db->f("evening_phone");
			$variables["cell_phone"] = $db->f("cell_phone");
			$variables["fax"] = $db->f("fax");
			$variables["state_code"] = $db->f("state_code");
			$variables["country_code"] = $db->f("country_code");

			$currency_code = $db->f("currency_code");
			$shipping_type_desc = $db->f("shipping_type_desc");
			$tax_name = $db->f("tax_name");
			$tax_cost = $db->f("tax_total");

		}
	
		$variables["state"] = get_db_value("SELECT state_name FROM " . $table_prefix . "states WHERE state_code=" . $db->tosql($variables["state_code"], TEXT));
		$variables["country"] = get_db_value("SELECT country_name FROM " . $table_prefix . "countries WHERE country_code=" . $db->tosql($variables["country_code"], TEXT));

		$eol = get_eol();
		$currency = get_currency($currency_code);
		$currency_left = $currency["left"];
		$currency_right = $currency["right"];
		$currency_rate = $currency["rate"];
		$currency_code = $currency["code"];
		$currency_value = $currency["value"];

		$items_text = "";
		$sql  = " SELECT * FROM " . $table_prefix . "orders_items ";
		$sql .= " WHERE order_id=" . $db->tosql($order_id, INTEGER);
		$db->query($sql);
		while ($db->next_record()) {
			$item_text = get_translation($db->f("item_name"));
			$quantity = $db->f("quantity");
			$price = $db->f("price");
			$item_total = $price * $quantity;
			$item_text .= " " . PROD_QTY_COLUMN . ": " . $quantity . " " . $currency_left . number_format($item_total * $currency_rate, 2) . $currency_right;
			$items_text .= $item_text . $eol;

		}

		$items_text .= GOODS_TOTAL_MSG . ": " . $currency_left . number_format($variables["goods_total"] * $currency_rate, 2) . $currency_right . $eol;
		if (strlen($variables["total_discount"] != 0)) {
			$items_text .= TOTAL_DISCOUNT_MSG . ": -" . $currency_left . number_format($variables["total_discount"] * $currency_rate, 2) . $currency_right . $eol;
			$items_text .= GOODS_WITH_DISCOUNT_MSG. ": " . $currency_left . number_format(($variables["goods_with_discount"]) * $currency_rate, 2) . $currency_right . $eol;
		}
		if (strlen($shipping_type_desc)) {
			$items_text .= $shipping_type_desc . ": " . $currency_left . number_format($variables["shipping_cost"] * $currency_rate, 2) . $currency_right . $eol;
 		}
		if (strlen($tax_name)) {
			$tax_cost = round($tax_cost, 2);
			$items_text .= $tax_name . ": " . $currency_left . number_format($tax_cost * $currency_rate, 2) . $currency_right . $eol;
		}
		if ($variables["processing_fee"] != 0) {
			$items_text .= PROCESSING_FEE_MSG . ": " . $currency_left . number_format($variables["processing_fee"] * $currency_rate, 2) . $currency_right;
		}
		$items_text .= CART_TOTAL_MSG . ": " . $currency_left . number_format($variables["order_total"] * $currency_rate, 2) . $currency_right;

		$variables["basket"] = $items_text;
		return $variables;
	}

	function payment_params($order_id){
    	global $db, $table_prefix;
		$sql  = " SELECT * FROM " . $table_prefix . "orders ";
		$sql .= " WHERE order_id=" . $db->tosql($order_id, INTEGER);
		$db->query($sql);
		if ($db->next_record()) {
			$payment_id = $db->f("payment_id");
		}
		if (strlen($payment_id)) {
			$variables = payment_variables($order_id);
			if(!is_array($variables)){
				return;
			}
			$payment_params = array();
			$sql  = " SELECT parameter_name, parameter_source, not_passed ";
			$sql .= " FROM " . $table_prefix . "payment_parameters ";
			$sql .= " WHERE payment_id=" . $db->tosql($payment_id, INTEGER);
			$db->query($sql);
			while ($db->next_record()) {
				$parameter_name = trim($db->f("parameter_name"));
				$parameter_source = trim($db->f("parameter_source"));
				$not_passed = trim($db->f("not_passed"));
				if (preg_match_all("/\{(\w+)\}/is", $parameter_source, $matches)) {
					$parameter_value = $parameter_source;
					for($p = 0; $p < sizeof($matches[1]); $p++) {
						$l_source = strtolower($matches[1][$p]);
						if (isset($variables[$l_source])) {
							$parameter_value = str_replace("{".$l_source."}", $variables[$l_source], $parameter_value);
						}
					}
				} else if (isset($variables[$parameter_source])) {
					$parameter_value = $variables[$parameter_source];
				} else {
					$parameter_value = $parameter_source;
				}
				$payment_params[$parameter_name] = $parameter_value;
			}
			$sql  = " SELECT success_status_id, pending_status_id, failure_status_id ";
			$sql .= " FROM " . $table_prefix . "payment_systems ";
			$sql .= " WHERE payment_id=" . $db->tosql($payment_id, INTEGER);
			$db->query($sql);
			while ($db->next_record()) {
				$payment_params['success_status_id'] = $db->f("success_status_id");
				$payment_params['pending_status_id'] = $db->f("pending_status_id");
				$payment_params['failure_status_id'] = $db->f("failure_status_id");
			}
		} else {
			return;
		}
		return $payment_params;
	}

    function set_error($order_id, $error_message){
    	global $db, $table_prefix;
		$sql  = " UPDATE " . $table_prefix . "orders ";
		$sql .= " SET error_message=" . $db->tosql($error_message, TEXT) ;
		$sql .= " WHERE order_id=" . $db->tosql($order_id, INTEGER) ;
		$db->query($sql);
	}

?>